# Compile OSVVM Library
include ../OSVVM/osvvm.pro

library Testbench_Lib2
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib2_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze ../single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze ../dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../vector_FIFO.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Level_2/L2_Testbench_Lib2.vhd
analyze Type1_cfg.vhd

library Testbench_Lib3
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib3_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../vector_FIFO.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Level_2/L2_Testbench_Lib3.vhd
analyze Type1_cfg.vhd

library Testbench_Lib4
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib4_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze ../single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze ../dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../vector_FIFO.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze test_loopback.vhd
analyze Level_2/L2_Testbench_Lib4.vhd
analyze Type1_cfg.vhd

library Testbench_Lib5
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Type1_package.vhd
analyze Level_2/L2_Testbench_Lib5_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze ../FWFT_FIFO_cfg.vhd
analyze ../vector_FIFO.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze test_loopback.vhd
analyze Level_2/L2_Testbench_Lib5.vhd
analyze Type1_cfg.vhd

# Compile
library Testbench_Lib1
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze Testbench_Lib1_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../single_port_ram.vhd
analyze ../single_port_ram_Altera.vhd
analyze single_port_ram_cfg.vhd
analyze ../dual_port_ram.vhd
analyze ../dual_port_ram_Altera.vhd
analyze dual_port_ram_cfg.vhd
analyze ../FWFT_FIFO.vhd
analyze ../FWFT_FIFO_Altera.vhd
analyze FWFT_FIFO_cfg.vhd
analyze ../vector_FIFO.vhd
analyze ../mem_ctrl.vhd
analyze ../dp_mem_ctrl.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_discovery_module.vhd
analyze ../rtps_out.vhd
analyze ../rtps_reader.vhd
analyze ../rtps_writer.vhd
analyze ../dds_writer.vhd
analyze ../dds_reader.vhd
analyze ../key_holder.vhd
analyze ../key_hash_generator.vhd
analyze test_key_hash_generator.vhd
analyze Type1_package.vhd
analyze Type1_reader_interface.vhd
analyze Type1_writer_interface.vhd
analyze Type1_key_holder.vhd
analyze Type2_package.vhd
analyze Type2_reader_interface.vhd
analyze Type2_writer_interface.vhd
analyze Type2_key_holder.vhd
analyze test_key_holder.vhd
analyze ScoreBoard_test_memory.vhd
analyze ScoreBoard_discovery_module.vhd
analyze Level_0/L0_rtps_handler_test1.vhd
analyze Level_0/L0_rtps_handler_test2.vhd
analyze Level_0/L0_rtps_discovery_module_test1_uc.vhd
analyze Level_0/L0_rtps_discovery_module_test1_mc.vhd
analyze Level_0/L0_rtps_discovery_module_test2.vhd
analyze Level_0/L0_rtps_discovery_module_test3.vhd
analyze Level_0/L0_rtps_discovery_module_test4.vhd
analyze Level_0/L0_rtps_discovery_module_test5.vhd
analyze Level_0/L0_rtps_discovery_module_test6.vhd
analyze Level_0/L0_rtps_out_test1.vhd
analyze Level_1/L1_rtps_discovery_module_test1.vhd
analyze Level_0/L0_mem_ctrl_test1.vhd
analyze Level_0/L0_rtps_reader_test1.vhd
analyze Level_0/L0_rtps_reader_test2.vhd
analyze Level_0/L0_rtps_reader_test3.vhd
analyze Level_1/L1_rtps_reader_test1.vhd
analyze Level_0/L0_rtps_writer_test1.vhd
analyze Level_0/L0_rtps_writer_test2.vhd
analyze Level_1/L1_rtps_writer_test1.vhd
analyze Level_1/L1_rtps_writer_test2.vhd
analyze Level_1/L1_rtps_writer_test3.vhd
analyze Level_0/L0_dds_writer_test1.vhd
analyze Level_0/L0_dds_writer_test2.vhd
analyze Level_0/L0_dds_writer_test3.vhd
analyze Level_0/L0_dds_writer_test4.vhd
analyze Level_0/L0_dds_writer_test5.vhd
analyze Level_0/L0_dds_reader_test1.vhd
analyze Level_0/L0_dds_reader_test2.vhd
analyze Level_0/L0_dds_reader_test3.vhd
analyze Level_0/L0_dds_reader_test4.vhd
analyze Level_0/L0_dds_reader_test5.vhd
analyze Level_0/L0_dds_reader_test6.vhd
analyze Level_0/L0_dds_reader_test7.vhd
analyze Level_1/L1_Type1_interface_test1.vhd
analyze Level_1/L1_Type1_interface_test2.vhd
analyze Level_1/L1_Type1_key_holder_test1.vhd
analyze Level_1/L1_Type1_key_holder_test2.vhd
analyze Level_1/L1_Type2_interface_test1.vhd
analyze Level_1/L1_Type2_interface_test2.vhd
analyze Level_1/L1_Type2_key_holder_test1.vhd
analyze Level_1/L1_Type2_key_holder_test2.vhd
analyze Level_2/L2_Type1_test1.vhd
analyze Level_2/L2_Type1_test2.vhd
analyze test_cfg.vhd


simulate L0_rtps_handler_test1
simulate L0_rtps_handler_test2
simulate L0_rtps_out_test1
simulate L0_mem_ctrl_test1
simulate L0_rtps_discovery_module_test1_uc
simulate L0_rtps_discovery_module_test1_mc
simulate L0_rtps_discovery_module_test2
simulate L0_rtps_discovery_module_test3
simulate L0_rtps_discovery_module_test4
simulate L0_rtps_discovery_module_test5
simulate L0_rtps_discovery_module_test6
simulate L1_rtps_discovery_module_test1
simulate L0_rtps_reader_test1
simulate L0_rtps_reader_test2
simulate L0_rtps_reader_test3
simulate L1_rtps_reader_test1
simulate L0_rtps_writer_test1
simulate L0_rtps_writer_test2
simulate L1_rtps_writer_test1
simulate L1_rtps_writer_test2
simulate L1_rtps_writer_test3
simulate L0_dds_writer_test1
simulate L0_dds_writer_test2
simulate L0_dds_writer_test3
simulate L0_dds_writer_test4
simulate L0_dds_writer_test5
simulate L0_dds_reader_test1
simulate L0_dds_reader_test2
simulate L0_dds_reader_test3
simulate L0_dds_reader_test4
simulate L0_dds_reader_test5
simulate L0_dds_reader_test6
simulate L0_dds_reader_test7
simulate L1_Type1_interface_test1
simulate L1_Type1_interface_test2
simulate L1_Type1_key_holder_test1
simulate L1_Type1_key_holder_test2
simulate L1_Type2_interface_test1
simulate L1_Type2_interface_test2
simulate L1_Type2_key_holder_test1
simulate L1_Type2_key_holder_test2
simulate L2_Type1_test1
simulate L2_Type1_test2

# ROS
include ../ros2/Tests/ros_testbench.pro